#
# spec file for package perl-Package-Generator
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Package-Generator
Version:        1.106
Release:        3.39
%define cpan_name Package-Generator
Summary:        generate new packages quickly and easily
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Package-Generator/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
This module lets you quickly and easily construct new packages. It gives
them unused names and sets up their package data, if provided.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Feb  9 2014 coolo@suse.com
- update to 1.106
    update github links
    typo fix (thanks, George Hartzell!)
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.105
    oops, re-repackage, dropping pod tests
    repackage, update bug tracker
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr 11 2010 chris@computersalat.de
- update to 0.103
  add perl5 v8 requirement; never worked 100%% under 5.6 anyway
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o fix HEADER
  o remove useless comments
  o update License, Url, Source
  o fix perl-macros deps
  o update description
  o enable parallel build
  o macro usage
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- initial package 0.102
